namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 参数配置(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_ConfigController : BaseController<IGhre_ConfigServices, Ghre_Config, Ghre_ConfigDto, InsertGhre_ConfigInput, EditGhre_ConfigInput>
{
    public Ghre_ConfigController(IGhre_ConfigServices service) : base(service)
    {
    }

    /// <summary>
    ///  批量更新数据
    /// </summary>
    /// <param name="entitys"></param>
    [HttpPost, Route("BulkUpdateValue")]
    public virtual async Task<ServiceResult> BulkUpdateValue([FromBody] List<Ghre_ConfigDto> entitys)
    {
        return await _service.BulkUpdateValue(entitys);
    }
}